<?php

declare(strict_types=1);

namespace App\Controller\TblUsuario;

use App\Service\TblUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblUsuarioService(): TblUsuarioService
    {
        return $this->container->get('TblUsuario_service');
    }
}
